#!/bin/sh
#@ output = oocore_large_384.o$(jobid)
#@ error = oocore_large_384.o$(jobid)
#@ notification = complete
#@ notify_user = scable
#@ environment = COPY_ALL
#@ wall_clock_limit = 1:30:00
#@ class = block
#@ node = 48
#@ total_tasks = 384
#@ resources = ConsumableCpus(1) ConsumableMemory(1600 mb)
#@ initialdir = /scr/scable/TI-06/ded/oocore/large/384
#@ job_type = parallel
#@ job_name = oocore_large_384
#@ shell = /bin/sh
#@ account_no = HPCMO02B
#@ node_usage = not_shared
#@ network.MPI = csss,not_shared,US
#@ checkpoint = no
#@ queue
#
#  Required TI-06 Prolog
#

MACHNAME=`hostname`
OSNAME=`uname`
OSREV=`uname -r`
CODE_CASE=OOCORE_large
RUNVERSION=
CPUS=384
slm=$WORKDIR/TI-06/app/oocore/src/SLmake.inc
compiler=`grep 'F77 *=' $slm`
compiler=${compiler#*=}
FORTRAN_COMPILER=$compiler
flags=`grep 'F77FLAGS *=' $slm`
flags=${flags#*=}
FORTRAN_FLAGS=$flags
compiler=`grep 'CC *=' $slm`
compiler=${compiler#*=}
C_COMPILER=$compiler
flags=`grep 'CCFLAGS *=' $slm`
flags=${flags#*=}
C_FLAGS=$flags
flags=`grep 'F77LOADFLAGS *=' $slm`
flags=${flags#*=}
LOADER_FLAGS=$flags

echo MACHINE=$MACHNAME
echo OS=$OSNAME $OSREV
echo CODE_CASE=OOCORE_large
echo RUNVERSION=
echo CPUS=$CPUS
echo 'version line:'
echo "version $MACHNAME $CODE_CASE ${FORTRAN_COMPILER};${FORTRAN_FLAGS};${C_COMPILER};${C_FLAGS};\
${LOADER_FLAGS};${OSNAME} ${OSREV}"

echo " "
echo "++++ TI-06 ++++ oocore_large_384 queued:   `cat oocore_large_384.qdate`"
echo "++++ TI-06 ++++ oocore_large_384 began:    `date`"
echo "++++ TI-06 ++++ oocore_large_384 hostname: `hostname`"
echo "++++ TI-06 ++++ oocore_large_384 uname -a: `uname -a`"
echo " "
TBEGIN=`echo "print time();" | perl`
#
#  System specific commands
#
export MP_CSS_INTERRUPT=yes
export MP_EAGER_LIMIT=65536
export MP_EUILIB=us
export MP_EUIDEVICE=csss
export MP_INFOLEVEL=0
export MP_INTRDELAY=1
export MP_LABELIO=yes
export MP_48=48
export MP_POLLING_INTERVAL=50000
export MP_SHARED_MEMORY=yes
export MP_SINGLE_THREAD=yes
export MP_STDOUTMODE=unordered
export MP_WAIT_MODE=poll
export OMP_NUM_THREADS=1
export SPINLOOPTIME=5000
export XLSMPOPTS="parthds=1"
#
#  Application specific commands
#
BINDIR=/scr/scable/TI-06/app/oocore/bin
poe $BINDIR/testzdriver
#
#  Required TI-06 Epilog
#
TEND=`echo "print time();" | perl`
sleep 120
llq -x -l $LOADL_STEP_ID | grep 'Step maxrss'
echo " "
echo "++++ TI-06 ++++ oocore_large_384 pwd:      `pwd`"
echo "++++ TI-06 ++++ oocore_large_384 ls -al:"
echo " "
ls -al
echo " "
echo "++++ TI-06 ++++ oocore_large_384 ended:    `date`"
echo "++++ TI-06 ++++ oocore_large_384 walltime: `expr $TEND - $TBEGIN` seconds"
echo "++++ TI-06 ++++ oocore_large_384 system: `uname -a`"
exit
