#!/usr/local/bin/perl

if (!($#ARGV == 0)) {
   print "usage: perl check_oocore_output.pl <filename>\n";
   exit;
}

# find and store relevant lines
open(handle, $ARGV[0]);
$line = <handle>;
while (!($line =~ / *WALL */)) {
   $line = <handle>;
}
$wallline = $line;
chop($wallline);
while (!($line =~ / *sum\(xsol_i\) */)) {
   $line = <handle>;
}
$sumline = $line;
chop($sumline);
while (!($line =~ / *skipped */)) {
   $line = <handle>;
}
$skipline = $line;
chop($skipline);

# test for any skipped tests
if ($skipline =~ / *0 tests skipped */) {
   print "Skip test:\tpassed.\n";
   $skiptestpass = 1;
} else {
   print "Skip test:\tfailed.\t($skipline)\n";
   $skiptestpass = 0;
}

#test for size
$sizetestpass = 1;
if ($wallline =~ / *69000 69000 */) {
   $size = 69000;
} elsif ($wallline =~ / *40000 40000 */) {
   $size = 40000;
} else {
   $sizetestpass = 0;
   print "Size test:\tfailed.\tSize is incorrect or undetermined.\n";
   print "\t($wallline)\n";
}
if ($sizetestpass == 1) {
   print "Size test:\tpassed.\tSize is $size.\n";
}

@sumsplit = split(/[ \(\)\,]+/,$sumline);

#test real part of sum
$sizeindex = 1;
while (!($sumsplit[$sizeindex] eq "=" && $sizeindex < 7)) {
   $sizeindex = $sizeindex + 1 ;
}

if (!($sizeindex < 7)) {
   print "cannot parse line:\n";
   print "$sumline\n";
   print "for real part.  aborting.\n";
   print "failed\n";
   exit;
}

$sizeindex = $sizeindex + 1;
$diff = $sumsplit[$sizeindex]-$size;
$absdiff = abs($diff);
if ($absdiff < 2.0e-6) {
   print "Re[Sum] test:\tpassed.\n";
   $re_sumtestpass = 1;
} else {
   print "Re[Sum] test:\tfailed.\t(abs(sum-size)=$absdiff)\n";
}

#test imaginary part of sum
if ($sumsplit[6] == 0.) {
   print "Im[Sum] test:\tpassed.\n";
   $im_sumtestpass = 1;
} else {
   print "Im[Sum] test:\tfailed.\t(Im[Sum] = $sumsplit[6])\n";
   $im_sumtestpass = 0;
}


$testpass = $re_sumtestpass + $im_sumtestpass + $skiptestpass + $sizetestpass;
if ($testpass < 4) {
   print "Overall Test:\tfailed.\n";
} else {
   print "Overall Test:\tpassed.\n";
}

close(handle);
exit;
